## python-zunclient 4.5.0

=== debian/changelog ===
python-zunclient (4.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:49:29 +0200

python-zunclient (4.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Sep 2022 23:20:34 +0200

python-zunclient (4.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 12:06:55 +0100

python-zunclient (4.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.
  * Removed fix-test_help_on_subcommand.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 Feb 2022 23:19:57 +0100

python-zunclient (4.3.0-3) unstable; urgency=medium

  * Add fix-test_help_on_subcommand.patch (Closes: #1002431).

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Dec 2021 12:36:37 +0100

python-zunclient (4.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:57:30 +0200

python-zunclient (4.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Sep 2021 15:09:34 +0200

python-zunclient (4.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Debhelper 11.
  * Standards-Version: 4.5.1.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Mar 2021 21:56:15 +0100

=== debian/control ===
Source: python-zunclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 python3-ddt,
 python3-docker,
 python3-hacking,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstackdocstheme <!nodoc>,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslotest,
 python3-osprofiler,
 python3-prettytable,
 python3-stestr,
 python3-tempest,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-websocket,
 python3-yaml,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-zunclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-zunclient.git
Homepage: https://github.com/openstack/python-zunclient

Package: python-zunclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack container management service API client - doc
 Zun (ex. Higgins) is a Container Management service for OpenStack. It aims to
 provide an OpenStack API for launching and managing containers backed by
 different container technologies.
 .
 This is a client library for Zun built on the Zun API. It provides a Python
 API (the zunclient module) and a command-line tool(zun).
 .
 This package contains the documentation.

Package: python3-zunclient
Architecture: all
Depends:
 python3-docker,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-websocket,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-zunclient-doc,
Description: OpenStack container management service API client - Python 3.x
 Zun (ex. Higgins) is a Container Management service for OpenStack. It aims to
 provide an OpenStack API for launching and managing containers backed by
 different container technologies.
 .
 This is a client library for Zun built on the Zun API. It provides a Python
 API (the zunclient module) and a command-line tool(zun).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/python-zunclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr
	rm -f AUTHORS ChangeLog

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-zunclient-doc/usr/share/doc/python-zunclient-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-zunclient 4.6.0

=== debian/changelog ===
python-zunclient (4.6.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047665).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 13:49:10 +0200

python-zunclient (4.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 13:33:58 +0200

python-zunclient (4.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 14:32:09 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,10 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr
 	rm -f AUTHORS ChangeLog
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-zunclient 4.7.0

=== debian/changelog ===
python-zunclient (4.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 14:55:53 +0200

## python-zunclient 5.0.0

=== debian/changelog ===
python-zunclient (5.0.0-0ubuntu1~cloud0) jammy-caracal; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 11 Mar 2024 14:56:52 +0000

python-zunclient (5.0.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 13:24:37 +0000

python-zunclient (4.7.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 15:33:19 -0400

python-zunclient (4.6.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:35:22 -0500

python-zunclient (4.5.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 17:18:19 -0400

## python-zunclient 5.1.0

=== debian/changelog ===
python-zunclient (5.1.0-4) unstable; urgency=medium

  * Switch to bootstrap 5 for -doc (Closes: #1088513).

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Dec 2024 11:16:14 +0100

python-zunclient (5.1.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090687).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 14:53:05 +0100

python-zunclient (5.1.0-2) unstable; urgency=medium

  * Removed /usr/bin alternative removal in {pre,post}rm.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 11:09:22 +0200

python-zunclient (5.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 06 Sep 2024 14:27:48 +0200

python-zunclient (5.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:52:00 +0200

python-zunclient (5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 21:56:33 +0100

python-zunclient (4.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 17:34:23 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-zunclient/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-zunclient 5.2.0

=== debian/changelog ===
python-zunclient (5.2.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Sat, 18 Jan 2025 11:38:15 +0000

python-zunclient (5.1.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 16:35:32 +0100

## python-zunclient 5.2.1

=== debian/changelog ===
python-zunclient (5.2.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 23:33:30 +0100

python-zunclient (5.2.1-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 14:24:03 +0100

=== debian/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
 Section: doc
 Architecture: all
 Depends:
- libjs-bootstrap,
+ libjs-bootstrap5,
  libjs-jquery,
  ${misc:Depends},
  ${sphinxdoc:Depends},

## python-zunclient 5.2.1+git2025070713.eb6806a

=== debian/changelog ===
python-zunclient (5.2.1+git2025070713.eb6806a-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/rules: Include PBR version.
  * d/p/remove-privacy-breach-generic-lintian.patch: Refresh.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 17 Jul 2025 14:09:48 -0700

python-zunclient (5.2.1-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Mon, 03 Mar 2025 09:38:54 +0000

## python-zunclient 5.3.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix. 

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
PrettyTable>=0.7.1 # BSD
python-openstackclient>=3.12.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
osc-lib>=1.8.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
websocket-client>=0.44.0 # LGPLv2+
docker>=2.4.2 # Apache-2.0
PyYAML>=3.13 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=2.2.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
python-zunclient (5.3.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2122726).
  * d/watch: Change upstream source to tarballs.opendev.org.
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 17 Sep 2025 14:47:47 -0700

=== debian/control ===
Source: python-zunclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-ddt (>= 1.0.1),
 python3-docker (>= 2.4.2),
 python3-hacking (>= 1.1.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-prettytable (>= 0.7.1),
 python3-stestr (>= 2.0.0),
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-websocket (>= 0.44.0),
 python3-yaml (>= 3.13),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-zunclient
Homepage: https://opendev.org/openstack/python-zunclient
Testsuite: autopkgtest-pkg-python

Package: python-zunclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack container management service API client - doc
 Zun (ex. Higgins) is a Container Management service for OpenStack. It aims to
 provide an OpenStack API for launching and managing containers backed by
 different container technologies.
 .
 This is a client library for Zun built on the Zun API. It provides a Python
 API (the zunclient module) and a command-line tool(zun).
 .
 This package contains the documentation.

Package: python3-zunclient
Architecture: all
Depends:
 python3-docker (>= 2.4.2),
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstackclient (>= 3.12.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-websocket (>= 0.44.0),
 python3-yaml (>= 3.13),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-zunclient-doc,
Description: OpenStack container management service API client - Python 3.x
 Zun (ex. Higgins) is a Container Management service for OpenStack. It aims to
 provide an OpenStack API for launching and managing containers backed by
 different container technologies.
 .
 This is a client library for Zun built on the Zun API. It provides a Python
 API (the zunclient module) and a command-line tool(zun).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,21 @@
 #!/usr/bin/make -f
 
+export PYBUILD_NAME=zunclient
+
 UPSTREAM_GIT := https://github.com/openstack/python-zunclient.git
+
+DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
+export PBR_VERSION=$(VERSION)
+
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
+	rm -rf build .stestr
 	rm -f AUTHORS ChangeLog
-	rm -rf build .stestr *.egg-info
-	find . -iname '*.pyc' -delete
-	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.openstack.org/python-zunclient/ python_zunclient-(\d.*)\.tar\.gz

## python-zunclient 5.4.0

=== debian/changelog ===
python-zunclient (5.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 19:26:49 +0100

python-zunclient (5.3.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047665).

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Feb 2026 18:12:25 +0100

python-zunclient (5.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 23:13:11 +0200

python-zunclient (5.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Sep 2025 19:03:11 +0200
